unit HPROBEFM;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Timer1: TTimer;
    Button2: TButton;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


var
  Form1         : TForm1;
  humidiprobe_handle : smallint;

implementation
{$I hprobe.inc}

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  ok : word;


begin

humidiprobe_handle := HumidiProbeOpenUnit();

end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  s       : string [10];
  ok      : word;
  value    : longint;
  ftemp   : single;
  fhumid  : single;
  tFilter : smallint;
  hFilter : smallint;

begin
tFilter := 0;
hFilter := 0;
if humidiprobe_handle > 0 then
  begin
    ok := HumidiProbeGetSingleValue(humidiprobe_handle, ftemp, tFilter, fhumid, hFilter);
    if ok > 0 then
      begin
        str (ftemp: 6:2, s);
        Label1.Caption := s;
        str (fhumid: 6:2, s);
        Label2.Caption := s
      end
    else
      begin
      Label1.Caption := '******';
      Label2.Caption := '******';
      end
  end
end;


procedure TForm1.Button2Click(Sender: TObject);

  begin
if humidiprobe_handle > 0 then
  begin
    HumidiProbeCloseUnit(humidiprobe_handle);
    humidiprobe_handle := 0;
  end;
end;

end.
